<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">
		
		let numeros=[0,1,2,3,4,5,6,7,8,9], c=0;
		//También con new Array. Si le pasas un elemento es la longitud, si le pasas más son los valores de cada posición.
		//let a=new Array(
		//1,2,3,4,5,6,7,8,9,10
		//)
		//
		//Introducir elementos al array con bucle while y con for (mejorcon for!!! while está pensado para otras plica)
		//
		c=0; //comienzo

		//recorro el array

		//while(c<b.length) {
		//	numeros[c]=Math.trunc(Math.random()*100); // math.random genera numeros aleatorios entre 0-1. (Algoritmo Vinicial+math.random*(Vfinal-Vinicial))
			//c++;
		//}

		for(c=0;c<numeros.length;c++) {
			numeros[c]=Math.trunc(Math.random()*100);
		}

		//Mostrar el array
		//De verdad
		for(c=0;c<numeros.length;c++) {
			document.write(numeros[c])+"<br>";
		}
		//Solo para pruebas internas. Lo que está haciendo es convertir los elementos del array a string y te los muestra separados por comas.
		console.log(numeros);

		


	</script>
</head>
<body>
	
</body>
</html>